warnings                package:base                R Documentation

Print Warning Messages

Description:

     'warnings' prints the top-level variable 'last.warning' in a
     pleasing form.

Usage:

     warnings(...)

Arguments:

     ...: arguments to be passed to 'cat'.

References:

     Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) _The New S
     Language_. Wadsworth & Brooks/Cole.

See Also:

     'warning'.

Examples:

     ow <- options("warn")
     for(w in -1:1) {
        options(warn = w); cat("\n warn =",w,"\n")
        for(i in 1:3) { cat(i,"..\n"); m <- matrix(1:7, 3,4) }
     }
     warnings()
     options(ow) # reset

